variables:
  CONTAINER_IMAGE: "graphpolaris/frontend"
  IMAGE_TAG_HELM_FILE: "helm/staging/graphpolaris-frontend/values.yaml"
  IMAGE_TAG_HELM_FILE_VARIABLE: "image.tag"

include:
  - project: 'graphpolaris/pipelines'
    ref: main
    file: 'docker-build-push.yml'

patch-and-commit--staging-azure:
  extends: patch-and-commit
  variables:
    IMAGE_TAG_HELM_FILE: "helm/staging-azure/graphpolaris-frontend/values.yaml"
    IMAGE_TAG_HELM_FILE_VARIABLE: "image.tag"
  needs:
    # Make sure we get veriables from previous steps
    - !reference [patch-and-commit, needs]
    # Run sequentially to avoid race conditions
    -  patch-and-commit